/////////////////////////////////////////////////////////////////
//Copyright (C) 2005 NTT CORPORATION.
//
// 学習状況計算権限チェッククラス
//
//		変更履歴
//			2007.09  新規作成  yasu
//
//	機能
//
//	このクラスは学習状況計算の権限チェックを行なうクラスです。
//
/////////////////////////////////////////////////////////////////

package jp.co.ntt.lms.xms.logsumup;

import jp.co.ntt.lms.xms.framework.XmsRequest;
import jp.co.ntt.lms.xms.framework.XmsException;
import jp.co.ntt.lms.xms.framework.XmsPermissionCheck;

public class LoLogActionPermissionCheck extends XmsPermissionCheck {

	public boolean execute(XmsRequest xmsRequest)
			throws XmsException {
		String requestUID = xmsRequest.getRequest().getParameter("userId");
		String sessionUID = (String)xmsRequest.getRequest().getSession().getAttribute("userId");
		String learner = (String)xmsRequest.getRequest().getSession().getAttribute("learner");
		if (requestUID != null && sessionUID != null) {
			if (!requestUID.equals(sessionUID))	{
				if ("YES".equalsIgnoreCase(learner)) {
					return false;
				}
			}
		}
		return true;
	}

}
